#!/bin/bash

RELEASENAME=$1
RELEASETAG=$2
DESCRIPTION=$3

if [ "$RELEASENAME" = "" -o "$RELEASETAG" = "" -o "$DESCRIPTION" = "" ]; then
  echo "release.sh RELEASENAME RELEASETAG DESCRIPTION"
  exit 1
fi

RELEASETAGTARGET=`git rev-parse --short=8 HEAD`

gitlabreleaseuploader.py \
  --privateToken $PRIVATETOKEN \
  --projectId 128 \
  --projectUrl https://home.hottis.de/gitlab/wolutator/mains-frequency-counter-stm32 \
  --releaseName "$RELEASENAME" \
  --createRelease \
  --releaseTag $RELEASETAG \
  --releaseTagTarget $RELEASETAGTARGET \
  --createReleaseTag \
  --description "$DESCRIPTION" \
  --instanceUrl https://home.hottis.de/gitlab \
  --verbose \
  --file cube/build/cube.elf

